Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Fractal
Class LSystem2State

    java.lang.Object
      Fractal.LSystem2State

    public class LSystem2State

extends java.lang.Object

Track and update the state of the LSystem. This is Cursor in the other four implemtations

Author:
  eliott bartley

Constructor Summary
`LSystem2State()` Create a new state at position (0, 0) and at angle 270 degrees, or pointing vertically up, in screen co-ordinates, i.e. calling move would move up the screen
`LSystem2State(LSystem2State state)` Create a new state cloned from another

Method Summary
`float` | `getAngle()` Get the angle of the state in radians.
`float` | `getX()` Get the x co-ordinate value of the state
`float` | `getY()` Get the y co-ordinate value of the state

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LSystem2State

    public LSystem2State()

  Create a new state at position (0, 0) and at angle 270 degrees, or pointing vertically up, in screen co-ordinates, i.e. calling move would move up the screen

### LSystem2State

    public LSystem2State(LSystem2State state)

  Create a new state cloned from another

  Parameters:
    `state` - The state to clone

Method Detail

### getX

    public float getX()

  Get the x co-ordinate value of the state

  Returns:
    the x co-ordinate value of the state

### getY

    public float getY()

  Get the y co-ordinate value of the state

  Returns:
    the y co-ordinate value of the state

### getAngle

    public float getAngle()

  Get the angle of the state in radians. This value will always be in the range [0..2pi)

  Returns:
    the angle of the state in radians

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD